> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch domainv1beta1

> Updates domain configurations.



## OpenAPI

````yaml /openapis/domain.json patch /domain/v1beta1
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: domain
    description: >-
      Lets you manage (list, load, patch, update, add new, delete) domain
      settings (beta version, subject to change)
  - name: crosslibraryview
    description: Lets you update cross library view
paths:
  /domain/v1beta1:
    patch:
      tags:
        - domain
      description: Updates domain configurations.
      operationId: domain:v1beta1.Domain.patch
      parameters:
        - $ref: '#/components/parameters/domain_query_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiDomain'
        required: true
      responses:
        '200':
          description: A ApiDomain response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiDomain'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    domain_query_parameter:
      name: domain
      in: query
      description: The domain
      required: false
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
  schemas:
    ApiDomain:
      type: object
      properties:
        accessRestrictionMode:
          type: string
          description: The access restriction mode for the domain.
          enum:
            - OPEN
            - LICENSED_ONLY
        billingType:
          type: string
          description: 'The billing mode: TRIAL, STANDARD, CUSTOM (read-only field)'
          enum:
            - TRIAL
            - STANDARD
            - CUSTOM
        documentationUrl:
          type: string
          description: The URL for documentation links
        domainAdmin:
          type: string
          description: The email of the G Suite super administrator account
        domainOwner:
          type: string
          description: Used for Microsoft domains
        domainType:
          type: string
          description: The type of the domain, e.g., GOOGLE_WORKSPACE, MICROSOFT, etc.
          enum:
            - GOOGLE_WORKSPACE
            - NON_GOOGLE_WORKSPACE
        kind:
          type: string
        libraryCreators:
          type: array
          description: >-
            The list of users who can create libraries in the domain, if
            libraryCreatorsSource = SPECIFIC_USERS
          items:
            $ref: '#/components/schemas/ApiAdminEntry'
        libraryCreatorsSource:
          type: string
          description: >-
            The mode for library creators audience: ANYONE (anyone of the domain
            or whitelisted), ONLY_SUPERADMINS (only G Suite super
            administrators), SPECIFIC_USERS (explicit list in 'libraryCreators'
            field)
          enum:
            - ANYONE
            - ONLY_SUPERADMINS
            - SPECIFIC_USERS
        limitLibraryAdminAccess:
          type: boolean
          description: >-
            Whether administrators of libraries should have a limited access to
            the library administration page (only applicable for Team Folder and
            Secured Folder libraries though)
        maxSeats:
          type: integer
          format: int32
          description: >-
            The maximum number of licensed users (0 means unlimited) (read-only
            field)
        notify:
          type: boolean
          description: >-
            Whether to notify the AODocs super administrators when pool of
            available licenses gets low
        standalone:
          type: boolean
        subscriptionId:
          type: string
          description: >-
            The technical identifier for the subscription to AODocs (read-only
            field)
        superAdmins:
          type: array
          description: >-
            The list of users who are AODocs super administrators if
            superAdminsSource = AODOCS
          items:
            $ref: '#/components/schemas/ApiAdminEntry'
        superAdminsSource:
          type: string
          description: >-
            The mode for super administrators audience: GOOGLE_APPS (implicitely
            G Suite super admins) or AODOCS (explicit list in 'superAdmins'
            field)
          enum:
            - GOOGLE_APPS
            - AODOCS
        supportUrl:
          type: string
          description: The URL to redirect support request to
        useDelayedVersion:
          type: boolean
        whitelistedDomains:
          type: array
          description: >-
            The list of whitelisted G Suite domains, i.e. users from those
            domain may access content in your libraries
          items:
            $ref: '#/components/schemas/ApiExternalDomain'
        whitelistedEmails:
          type: array
          description: >-
            The list of whitelisted Google accounts (gmail, single G Suite
            account or Google groups of your domain) who may access content in
            your libraries
          items:
            $ref: '#/components/schemas/ApiAdminEntry'
    ApiAdminEntry:
      type: object
      properties:
        addedBy:
          type: string
          description: The user who added the item (read-only field)
        addedTime:
          type: string
          format: date-time
          description: The date/time at which the item was added (read-only field)
        group:
          $ref: '#/components/schemas/ApiGroup'
        kind:
          type: string
        user:
          $ref: '#/components/schemas/ApiBaseUserProfile'
        value:
          type: string
          description: The email
    ApiExternalDomain:
      type: object
      properties:
        addedBy:
          type: string
          description: The user who added the domain to the whitelist (read-only field)
        addedTime:
          type: string
          format: date-time
          description: >-
            The date/time at which the domain was added to the whitelist
            (read-only field)
        domain:
          type: string
          description: The domain name
        kind:
          type: string
        nonGoogle:
          type: boolean
          description: This domain is not G Suite or Cloud Identity domain
    ApiGroup:
      type: object
      properties:
        description:
          type: string
          description: The description of the group
        email:
          type: string
          description: The email of the group
        kind:
          type: string
        name:
          type: string
          description: The displayed name of the group
        thumbnailPictureUrl:
          type: string
          description: The URL of the thumbnail picture of the group
    ApiBaseUserProfile:
      type: object
      properties:
        email:
          type: string
          description: The email of the user
        kind:
          type: string
        name:
          type: string
          description: The displayed name of the user
        nonGoogle:
          type: boolean
          description: This user is not a google user
        thumbnailPictureUrl:
          type: string
          description: The URL of the thumbnail picture of the user
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````